Download it now!
Bug 90664 - Impress, Changing style text broke animation
Summary: Impress, Changing style text broke animation
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: preBibisect, regression
Depends on:
Blocks:
 
Reported: 2015-04-16 19:52 UTC by Pierre C
Modified: 2019-12-03 14:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
first step (11.19 KB, application/vnd.oasis.opendocument.presentation)
2015-04-16 19:52 UTC, Pierre C
Details
second step, just chnaging background color (12.66 KB, application/vnd.oasis.opendocument.presentation)
2015-04-16 19:53 UTC, Pierre C
Details
third step, adding shadow (12.79 KB, application/vnd.oasis.opendocument.presentation)
2015-04-16 19:54 UTC, Pierre C
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre C 2015-04-16 19:52:20 UTC
Step to reproduce :

1 Create a new presentation

2 Add some text (F2)

3 Choose "text" style

4 Add a custom animation and choose "Appear"

5 Launch your slide (F5)

--> At click, your text appear

7 --> Change Text Style : Fill background with a colour (tab Area/Fill/Color/tango...)

8 Launch your slide

--> there is a rectangle and the text appears after click. this is not the correct behaviour. Both rectangle and text should appear at the same time

9 Change Text Style : use shadow

10 Launch your slide
--> the text box is visible, and shadow appears at click. All the text box should appears at click
Comment 1 Pierre C 2015-04-16 19:52:58 UTC
Created attachment 114838 [details]
first step
Comment 2 Pierre C 2015-04-16 19:53:44 UTC
Created attachment 114839 [details]
second step, just chnaging background color
Comment 3 Pierre C 2015-04-16 19:54:34 UTC
Created attachment 114840 [details]
third step, adding shadow
Comment 4 Buovjaga 2015-04-18 11:58:13 UTC
Reproduced.

Win 7 Pro 64-bit, Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Locale: fi_FI

Version: 5.0.0.0.alpha0+ (x64)
Build ID: 211c12b9c64facd1c12f637a5229bd6a6feb032a
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-18_01:51:17
Locale: fi_FI

Ubuntu 14.10 64-bit
Version: 4.2.0.4
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
Comment 5 Pierre C 2015-04-19 14:25:56 UTC
Yes, it may be a minor bug, but, consider this :

You're using style because your enjoy Libreoffice's styles. One of your styles is named Important

You use animations in your presentation. And the Important points appears at the end of each slide

And one day, you decide to change your Important style to have better focus on it from peoples 

So, you add background colour, and a shadow effect, to your Important style.

By this way, all your slides are broken.

This is not really a data-loss, but hours of work are lost
Comment 6 Pierre C 2015-04-19 15:25:52 UTC
bug is present in LO 3.6.7, but it works fine with LO 3.3.0.4

So adding keyword regression and changing to version 3.6.7
Comment 7 Buovjaga 2015-04-19 15:32:35 UTC
Thanks for testing. Problem is already in 3.5.0, can't be bibisected.

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 8 Pierre C 2015-04-19 16:16:07 UTC
Problem is already in 3.4.0.1

Is it useful to find between witch version problem appears ?
Comment 9 Buovjaga 2015-04-19 16:26:42 UTC
(In reply to Pierre C from comment #8)
> Problem is already in 3.4.0.1
> 
> Is it useful to find between witch version problem appears ?

Well I guess it couldn't hurt :) Perhaps some impress dev can then locate the problem faster.
Best would be through bibisecting, but we can't do it for versions older than 3.5.0: https://wiki.documentfoundation.org/QA/HowToBibisect

Yet there are only 4 release versions between 3.3.0 and 3.4.0, so it shouldn't take long for you to find the exact release where the problem appeared: http://downloadarchive.documentfoundation.org/libreoffice/old/
Comment 10 Pierre C 2015-10-27 08:46:32 UTC
Problem is NOT in 3.3.4.1 So It starts with LO 3.4

Problem is Also In AOo, So the problem may come from an AOo Commits integrated to LO
Comment 11 Pierre C 2015-10-27 11:40:33 UTC
If confirm this :
It works fine with OOo 3.3 and it does not work with AOo 3.4.1
So the regression may come from an AOo commit.
If all of this can help. this is really an annoying bug, when using styles with Impress
Comment 12 Robinson Tryon (qubit) 2015-12-14 05:40:11 UTC Comment hidden (obsolete)
Comment 13 Jean-Baptiste Faure 2016-04-12 07:31:00 UTC
Reproducible with current master (Version: 5.2.0.0.alpha0+
Build ID: cf1ecad26d22e3dc5f556f976bdc49a31bfa5630) built at home under Ubuntu 15.10 x86-64.
That said if I add a second text box with style Text, then add an animation to it and finally modify the Text style (for example add shadow), then it works as expected for that textbox.

Best regards. JBF
Comment 14 QA Administrators 2017-05-22 13:27:59 UTC Comment hidden (obsolete)
Comment 15 QA Administrators 2019-12-03 14:35:57 UTC
Dear Pierre C,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug